Package: org.apache.groovy.swing.binding

## [Java] Class ClosureSourceBinding

- org.apache.groovy.swing.binding.ClosureSourceBinding

- All Implemented Interfaces and Traits:
    SourceBinding

      public class ClosureSourceBinding
      extends Object
      implements SourceBinding

  Since:
    Groovy 1.1

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ClosureSourceBinding(Closure closure)`
    `ClosureSourceBinding(Closure closure, Object[] arguments)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Closure` | `getClosure()`
    `` | `public Object` | `getSourceValue()`
    `` | `public void` | `setClosure(Closure closure)`
    `` | `public void` | `setClosureArgument(Object argument)`
    `` | `public void` | `setClosureArguments(Object[] arguments)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public ClosureSourceBinding(Closure closure)

    - #### public ClosureSourceBinding(Closure closure, Object[] arguments)

  - ### Method Detail

    - #### public Closure getClosure()

    - #### @Override
      public Object getSourceValue()

    - #### public void setClosure(Closure closure)

    - #### public void setClosureArgument(Object argument)

    - #### public void setClosureArguments(Object[] arguments)